#!/usr/bin/env node
import "dotenv/config"; // Load Envars
import Qualiteer from "qualiteer";
import axios from "axios";

// Start server
const qltr = new Qualiteer();
await qltr.start();

const url = "https://Qualiteer.elijahparker3.repl.co";

const testsUrl = "/api/catalog/tests";
const resultsUrl = "/api/results/failing";

const get = (...args) => axios.get(`${url}/${args[0]}`, args[1]);

var res = await get(resultsUrl);
console.log(res.data);

res = await get(resultsUrl, { headers: { count: true } });

console.log(res.data);
